Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.constructionheuristic.greedyFit
Class GreedyFitStepScope

    java.lang.Object
      org.drools.planner.core.phase.step.AbstractStepScope
          org.drools.planner.core.constructionheuristic.greedyFit.GreedyFitStepScope

    public class GreedyFitStepScope

extends AbstractStepScope

Field Summary

Fields inherited from class org.drools.planner.core.phase.step.AbstractStepScope
`bestScoreImproved, clonedSolution, score, solutionInitialized, stepIndex`

Constructor Summary
`GreedyFitStepScope(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)`

Method Summary
`void` | `doStep()`
`GreedyFitSolverPhaseScope` | `getGreedyFitSolverPhaseScope()`
`Object` | `getPlanningEntity()`
`AbstractSolverPhaseScope` | `getSolverPhaseScope()`
`void` | `setPlanningEntity(Object planningEntity)`
`void` | `setVariableToValueMap(Map<PlanningVariableDescriptor,Object> variableToValueMap)`

Methods inherited from class org.drools.planner.core.phase.step.AbstractStepScope
`createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getStepIndex, getWorkingMemory, getWorkingRandom, getWorkingSolution, isSolutionInitialized, setBestScoreImproved, setClonedSolution, setScore, setSolutionInitialized, setStepIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GreedyFitStepScope

    public GreedyFitStepScope(GreedyFitSolverPhaseScope greedyFitSolverPhaseScope)

Method Detail

### getGreedyFitSolverPhaseScope

    public GreedyFitSolverPhaseScope getGreedyFitSolverPhaseScope()

### getSolverPhaseScope

    public AbstractSolverPhaseScope getSolverPhaseScope()

  Specified by:
    `getSolverPhaseScope` in class `AbstractStepScope`

### getPlanningEntity

    public Object getPlanningEntity()

### setPlanningEntity

    public void setPlanningEntity(Object planningEntity)

### setVariableToValueMap

    public void setVariableToValueMap(Map<PlanningVariableDescriptor,Object> variableToValueMap)

### doStep

    public void doStep()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.